var toggle_div = function(div, id)
{
	var display = $('#reviews_' + div + '_' + id).css('display');
	if(display == 'none')
	{
		$('#reviews_' + div + '_' + id).slideDown('fast');
		$('.comments-controls a').removeClass('muted');
		$('.comments-controls a.c-show').addClass('muted');
	}
	else
	{
		$('#reviews_' + div + '_' + id).slideUp('fast');
		$('.comments-controls a').removeClass('muted');
		$('.comments-controls a.c-hide').addClass('muted');
	}
}

$(function() {
	$('.c-show').click(function() {
		$(this).attr('disabled', 'disabled');
		$(this).next('.c-hide').removeAttr('disabled');
	});
	
	$('.c-hide').click(function() {
		$(this).attr('disabled', 'disabled');
		$(this).prev('.c-show').removeAttr('disabled');
	});

	$('.like').click(function(e) {
		e.preventDefault();
		if(!$(this).attr('disabled'))
		{
			that = this;

			$.post(intelli.config.baseurl + 'reviews/read.json', { action: 'like', review: $(this).attr('data-itemid') }, function(data) {
				if (!data.error)
				{
					label_class = 'label-success';
				}
				else
				{
					label_class = 'label-warning';	
				}

				$(that).parent().html('<p class="label ' + label_class + '">' + data.msg + '</p>');
			});
		}
	});

	$('.dislike').click(function(e) {
		e.preventDefault();

		if(!$(this).attr('disabled'))
		{
			that = this;

			$.post(intelli.config.baseurl + 'reviews/read.json', { action: 'dislike', review: $(this).attr('data-itemid') }, function(data) {
				data = eval("(" + data + ")");

				if (!data.error)
				{
					label_class = 'label-success';
				}
				else
				{
					label_class = 'label-warning';	
				}

				$(that).parent().html('<p class="label ' + label_class + '">' + data.msg + '</p>');
			});
		}
	});
});