<?php
//##copyright##

$iaReview = $iaCore->factoryPlugin('reviews', iaCore::ADMIN, 'review');
$iaReviewComments = $iaCore->factoryPlugin('reviews', iaCore::ADMIN, 'reviewcomments');

$iaDb->setTable(iaReviewComments::getTable());

if (iaView::REQUEST_JSON == $iaView->getRequestType())
{
	switch ($pageAction)
	{
		case iaCore::ACTION_READ:
			$params = array('`click_id` = ' . $_GET['review_id']);
			$output = $iaReviewComments->gridRead($_GET,
				array('body', 'member_id', 'date', 'status'),
				array('status' => 'equal'),
				$params
			);

			break;

		case iaCore::ACTION_EDIT:
			$output = $iaReviewComments->gridUpdate($_POST);

			break;

		case iaCore::ACTION_DELETE:
			$output = $iaReviewComments->gridDelete($_POST);
	}

	$iaView->assign($output);
}

if (iaView::REQUEST_HTML == $iaView->getRequestType())
{
	iaBreadcrumb::add(iaLanguage::get('reviews'), IA_ADMIN_URL . 'reviews/');

	$iaView->assign('review_id', $iaCore->requestPath[0]);
	$iaView->display('comments');
}

$iaDb->resetTable();