<?php
//##copyright##

$iaReview = $iaCore->factoryPlugin('reviews', iaCore::ADMIN, 'review');
$iaReviewComments = $iaCore->factoryPlugin('reviews', iaCore::ADMIN, 'reviewcomments');

$iaDb->setTable(iaReview::getTable());

$mod = 'clicks';

if (isset($iaCore->requestPath[0]))
{
	if ($iaCore->requestPath[0] == 'config')
	{
		$_GET['do'] = $iaCore->requestPath[0];
	}
}

if (iaView::REQUEST_JSON == $iaView->getRequestType())
{
	switch ($pageAction)
	{
		case iaCore::ACTION_READ:
				$output = $iaReview->gridRead($_GET,
					array('review_text', 'item', 'users_likes', 'users_dislikes', 'comments', 'status'),
					array('status' => 'equal'),
					array()
				);

			break;

		case iaCore::ACTION_EDIT:
			$output = $iaReview->gridUpdate($_POST);

			break;

		case iaCore::ACTION_DELETE:
			$output = $iaReview->gridDelete($_POST, 'blog_entry_deleted');
	}

	$iaView->assign($output);
}

if (iaView::REQUEST_HTML == $iaView->getRequestType())
{
	if (isset($_GET['do']))
	{
		if ('config' == $_GET['do'])
		{
			$messages = array();
			$res = $iaDb->all('`items`', "`type` = 'package'", null, null, 'extras');
			$items = array('members');
			foreach ($res as $key => $val)
			{
				$package_items = unserialize($val['items']);
				$list = array();
				foreach ($package_items as $package_item)
				{
					$list[] = $package_item['item'];
				}
				$items = array_merge($items, $list);
			}
			$active_items = unserialize($iaCore->get('reviews_item'));

			if (isset($_POST['action']))
			{
				switch($_POST['action'])
				{
					case 'save_items':
						$data = array(); // Checked items
						foreach ($_POST['items'] as $item)
						{
							$item = iaSanitize::paranoid($item);
							if (in_array($item, $items))
							{
								$added = in_array($item, $active_items) ? true : $iaDb->getOne("SHOW COLUMNS FROM `{$iaCore->iaDb->prefix}{$item}` LIKE 'reviews'");
								if (!$added)
								{
									$iaDb->query("ALTER TABLE `{$iaCore->iaDb->prefix}{$item}` ADD `reviews` SMALLINT UNSIGNED NOT NULL");
								}
								$data[] = $item;
							}
							else
							{
								$error = true;
								$messages[] = iaLanguage::get('no_review_relation');
							}
						}
						$iaCore->set('reviews_item', serialize($data), true);
						$active_items = $data;

						$messages[] = iaLanguage::get('changes_saved');
						$iaView->setMessages($messages, iaView::SUCCESS);
						break;

					case 'save_texts':
						if (isset($_POST['rate']))
						{
							$iaCore->set('reviews_stars', serialize($_POST['rate']), true);
						}
						break;
				}

			}

			$list = array();
			foreach ($items as $item)
			{
				$list[] = array(
					'value' => $item,
					'checked' => in_array($item, $active_items),
					'title' => iaLanguage::get($item, $item)
				);
			}

			iaBreadcrumb::add(iaLanguage::get('reviews_config'), IA_SELF);

			$iaView->assign('reviews_texts', unserialize($iaCore->get('reviews_stars', 'a:0:{}')));
			$iaView->assign('items', $list);

			$iaView->title(iaLanguage::get('reviews_config'));
		}

		$iaView->display('index');
	}
	else
	{
		$iaView->grid('_IA_URL_plugins/reviews/js/admin/reviews');
	}
}

$iaDb->resetTable();