Ext.onReady(function()
{
	var pageUrl = intelli.config.admin_url + '/reviews/comments/';

	if (Ext.get('js-grid-placeholder'))
	{
		intelli.reviewcomments = new IntelliGrid({
			columns:[
				'selection',
				{name: 'body', title: _t('body'), width: 1, editor: 'text-wide'},
				{name: 'author', title: _t('author'), width: 150, sortable: false},
				{name: 'date', title: _t('date'), width: 150},
				'status',
				'delete'
			],
			url: pageUrl,
			storeParams: { 'review_id': $('#review-id').val() },
			statuses: ['active', 'approval'],
			texts: {
				delete_multiple: _t('are_you_sure_to_delete_selected_comments'),
				delete_single: _t('are_you_sure_to_delete_selected_comment')
			},
		}, false);

		intelli.reviewcomments.toolbar = new Ext.Toolbar({items:[
		{
			emptyText: _t('text'),
			listeners: intelli.gridHelper.listener.specialKey,
			name: 'review_text',
			width: 250,
			xtype: 'textfield'
		},{
			handler: function(){intelli.gridHelper.search(intelli.reviewcomments)},
			id: 'fltBtn',
			text: '<i class="i-search"></i> ' + _t('search')
		},{
			handler: function(){intelli.gridHelper.search(intelli.reviewcomments, true)},
			text: '<i class="i-close"></i> ' + _t('reset')
		}]});

		intelli.reviewcomments.init();
	}
});