Ext.onReady(function()
{
	var pageUrl = intelli.config.admin_url + '/reviews/';

	if (Ext.get('js-grid-placeholder'))
	{
		intelli.reviews = new IntelliGrid({
			columns:[
				'selection',
				{name: 'review_text', title: _t('review_texts'), width: 1, editor: 'text-wide'},
				{name: 'item', title: _t('item'), width: 100},
				{name: 'author', title: _t('author'), width: 150},
				{name: 'comments', title: _t('comments'), width: 80},
				{name: 'users_likes', title: _t('likes'), width: 80},
				{name: 'users_dislikes', title: _t('dislikes'), width: 80},
				'status',
				{name: 'review_comments',
					click: function(value, metadata) {
						window.location = intelli.config.admin_url + '/reviews/comments/' + value.data.id + '/';
					},
					icon: 'bubbles',
					title: _t('review_comments')
				},
				'delete'
			],
			url: pageUrl,
			statuses: ['active', 'approval'],
			texts: {
				delete_multiple: _t('are_you_sure_to_delete_selected_reviews'),
				delete_single: _t('are_you_sure_to_delete_selected_review')
			},
		}, false);
		intelli.reviews.toolbar = new Ext.Toolbar({items:[
		{
			emptyText: _t('text'),
			listeners: intelli.gridHelper.listener.specialKey,
			name: 'review_text',
			width: 250,
			xtype: 'textfield'
		},{
			handler: function(){intelli.gridHelper.search(intelli.reviews)},
			id: 'fltBtn',
			text: '<i class="i-search"></i> ' + _t('search')
		},{
			handler: function(){intelli.gridHelper.search(intelli.reviews, true)},
			text: '<i class="i-close"></i> ' + _t('reset')
		}]});

		intelli.reviews.init();
	}
});