<div class="reviews__item reviews__item--owned">
	<div class="reviews__item__author clearfix">
		{if !$member}
			<img src="{$img}no-avatar.png" width="40" class="img-circle pull-left" alt="">
			<p class="reviews__item__author__name">{lang key='guest'}</p>
		{else}
			<a href="{ia_url type='url' item='members' data=$member}">
				{if $member.avatar}
					{assign var='avatar' value=$member.avatar|unserialize}
					{printImage imgfile=$avatar.path width=40 class='img-circle pull-left' title=$member.fullname}
				{else}
					<img src="{$img}no-avatar.png" width="40" class="img-circle pull-left" alt="">
				{/if}
			</a>
			<p class="reviews__item__author__name"><a href="{ia_url type='url' item='members' data=$member}">{$member.fullname}</a></p>
		{/if}
	</div>
	<form method="post" id="rate_item">
		{preventCsrf}
		<div class="reviews__item__form">
			<div id="rate_td">
				{foreach $configuration.star_texts as $key => $stars}
					<span class="pull-left">{lang key='your_rating'}:</span>
					{foreach $stars.list as $index => $star}
						<input name="review_item[{$key}]" type="radio" class="star" value="{$index+1}" title="{if $star neq '-'}{$star}{else} {/if}" />
					{/foreach}
					<span class="hover_text">&nbsp;</span>
				{/foreach}
			</div>
			<textarea name="review_text" class="input-block-level" rows="5"></textarea>
		</div>
		<button type="submit" class="btn btn-small btn-primary">{lang key='post_review'}</button>
	</form>
</div>

{ia_add_js}
$(function()
{
	$('#rate_td .star').rating(
	{
		focus: function(value, link)
		{
			var tip = $(link).parents('fieldset:first').find('.hover_text');
			tip[0].data = tip[0].data || tip.html();
			tip.html(link.title || 'value: ' + value);
		},
		blur: function(value, link)
		{
			var tip = $(link).parents('fieldset:first').find('.hover_text');
			tip.html(tip[0].data || '&nbsp;');
		}
	});
});
{/ia_add_js}

{ia_print_js files="_IA_URL_plugins/reviews/js/frontend/jquery.MetaData,_IA_URL_plugins/reviews/js/frontend/jquery.rating"}